Bug 1552135 - Openstack refresh fails if it finds non-public flavors
Summary: Openstack refresh fails if it finds non-public flavors
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.4
Assignee: Sam Lucidi
QA Contact: Omri Hochman
URL:
Whiteboard:
Keywords: ZStream
Depends On:
Blocks: 1551709
TreeView+ depends on / blocked
 
Reported: 2018-03-06 14:58 UTC by Niladri Roy
Modified: 2018-06-25 14:18 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-06-25 14:18:18 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:18 UTC

Description Niladri Roy 2018-03-06 14:58:08 UTC
Description of problem:
Openstack provider refresh fails with below error.

[----] E, [2018-03-02T08:23:26.802518 #24680:8c314c] ERROR -- : <Fog> excon.error     #<Excon::Error::NotFound: Expected([200, 203]) <=> Actual(404 Not Found)
excon.error.response
  :body          => "{\"itemNotFound\": {\"message\": \"Flavor 67d80ab9-5f0d-4980-a5ff-38cc2c0c61c6 could not be found.\", \"code\": 404}}"
  :cookies       => [


Version-Release number of selected component (if applicable):
5.8.3.4

How reproducible:
At Customer's environment

Steps to Reproduce:
1. Add openstack provider which has non public flavors
2. wait till next refresh
3.

Actual results:
OpenStack refresh fails

Expected results:
OpenStack provider should refresh

Additional info:

Comment 7 Sam Lucidi 2018-03-06 23:00:35 UTC
Based on the error I see in the logs, I believe this should be fixed by the backport of https://github.com/ManageIQ/manageiq-providers-openstack/pull/156

Comment 8 Satoe Imaishi 2018-03-08 14:13:35 UTC
https://github.com/ManageIQ/manageiq-providers-openstack/pull/156 is already included in 5.9.0 release. Changing this to be 5.8.z bug.

Comment 10 CFME Bot 2018-04-09 22:01:11 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/1c3fe51d3473674096a5da8c37a7852dbfc41327
commit 1c3fe51d3473674096a5da8c37a7852dbfc41327
Author:     Marek Aufart <aufi.cz@gmail.com>
AuthorDate: Wed Nov 15 03:14:36 2017 -0500
Commit:     Marek Aufart <aufi.cz@gmail.com>
CommitDate: Wed Nov 15 03:14:36 2017 -0500

    Merge pull request #156 from mansam/safe_call_catch_fog_not_found_errors

    safe_call should catch Fog::Errors::NotFound
    (cherry picked from commit 84121cb85efa6d20d1121308529036914222484a)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1552135

 app/models/manageiq/providers/openstack/refresh_parser_common/helper_methods.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 11 Danylo Kholodov 2018-05-02 09:57:59 UTC
Verified on 5.8.4.2

Comment 13 errata-xmlrpc 2018-06-25 14:18:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.